﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace AI
{
    class Program
    {
        static bool StavMotoru = false;
        static string Adresa = "";
        static int CisloPristani;
        static Modul Modul = new Modul();
        static void Main(string[] args)
        {
            Adresa = args[0];
            PripojSeNaServer(Adresa + "/start");
            while (true)
            {
                if (Modul.Rychlost.Y<-4.5&!StavMotoru)
                {
                    PripojSeNaServer(Adresa+"/stav?id="+CisloPristani+"&nahoru=1");
                    StavMotoru = true;
                }
                else if (StavMotoru)
                {
                    PripojSeNaServer(Adresa + "/stav?id=" + CisloPristani + "&nahoru=0");
                    StavMotoru = false;
                }
                else
                {
                    PripojSeNaServer(Adresa + "/stav?id=" + CisloPristani);
                    StavMotoru = true;
                }
            }
        }

        public static void PripojSeNaServer(string adresa)
        {
            var http = (HttpWebRequest)WebRequest.Create(adresa);
            var response = http.GetResponse();
            StreamReader STR = new StreamReader(response.GetResponseStream());
            string precteno = STR.ReadLine();
            if (precteno == "Zdar!")
            {
            }
            else if (precteno == "Krach!")
            {
            }
            else
            {
                CisloPristani = int.Parse(precteno);

                string[] polohaModulu = STR.ReadLine().Replace('.', ',').Split(' ');
                string[] rychlostModulu = STR.ReadLine().Replace('.', ',').Split(' ');
                double palivo = double.Parse(STR.ReadLine().Replace('.', ','));
                float nic = float.Parse(rychlostModulu[1]);
                Modul.Poloha = new PointF(200 - float.Parse(polohaModulu[0]), 200 - float.Parse(polohaModulu[1]));
                Modul.Rychlost = new PointF(float.Parse(rychlostModulu[0]), float.Parse(rychlostModulu[1]));
                Modul.Palivo = palivo;
            }
        }
        }
}
